Get a shared hosting account

Returns one hosting account by id, whatever its status, including accounts the list endpoint hides by default.

GET
/shared-hosting/{sharedHosting}

Authorization

BearerToken
AuthorizationBearer <token>

In: header

Path Parameters

sharedHosting*integer

The shared hosting ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/shared-hosting/0"
{  "id": 0,  "domain": "string",  "billing_cycle": 0,  "plan": {    "id": 0,    "type": "string",    "key": "string",    "name": "string",    "vcpus": 0,    "memory": 0,    "disk": 0,    "minimum_billing_cycle": 0,    "available": true,    "price": "string",    "price_with_vat": "string"  },  "status": "awaiting_payment",  "promo_code": "string",  "created_at": "2019-08-24T14:15:22Z",  "expiry_at": "2019-08-24T14:15:22Z",  "auto_renew": true,  "settings": "string",  "ip_address": {    "id": 0,    "ip_address": "string",    "prefix": 0,    "version": 0,    "type": "public",    "main": true,    "ddos_protected": true,    "gateway": "string",    "floating_ip": {      "id": 0,      "status": "string",      "server_id": 0,      "server_hostname": "string",      "locked": "string",      "locked_at": "string",      "lock_reason": "string",      "billing_cycle": 0,      "expiry_at": "2019-08-24T14:15:22Z",      "plan": {        "id": 0,        "name": "string",        "available": true,        "price": "string",        "price_with_vat": "string"      },      "cancel_request": {        "id": 0,        "now": 0,        "created_at": "2019-08-24T14:15:22Z",        "refund_total": "string",        "refund_executed_at": "2019-08-24T14:15:22Z"      }    },    "ptr": [      null    ],    "assigned_on": "string"  },  "addons": [    {      "id": "string",      "name": "100mbps-unmetered",      "status": "string",      "quantity": "string",      "amount": "string",      "amount_with_vat": "string",      "created_at": "string",      "expiry_at": "string",      "cancel_request": {        "id": 0,        "now": 0,        "created_at": "2019-08-24T14:15:22Z",        "refund_total": "string",        "refund_executed_at": "2019-08-24T14:15:22Z"      },      "settings": "string"    }  ],  "cancel_request": {    "id": 0,    "now": 0,    "created_at": "2019-08-24T14:15:22Z",    "refund_total": "string",    "refund_executed_at": "2019-08-24T14:15:22Z"  },  "renew_amount": 0,  "renew_amount_with_vat": 0}